import * as React from 'react';
import { IgrScatterBase, IIgrScatterBaseProps } from "./igr-scatter-base";
import { ScatterSeries } from "./ScatterSeries";
/**
 * Represents a IgxDataChartComponent scatter series
*/
export declare class IgrScatterSeries extends IgrScatterBase<IIgrScatterSeriesProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): ScatterSeries;
    /**
                                 * @hidden
                                 */
    get i(): ScatterSeries;
    constructor(props: IIgrScatterSeriesProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets whether the series has only marker as visuals
    */
    get hasOnlyMarkers(): boolean;
}
export interface IIgrScatterSeriesProps extends IIgrScatterBaseProps {
}
